#11 (permalink)  
Alt 04.01.2012, 21:16
Benutzerbild von mzanier
xt:Commerce GmbH, Geschäftsführung
 
Registriert seit: 18.04.2003
Beiträge: 27.692
Standard

Bei einem Root Server muss man immer beachten das man darauf einen Shop hostet mit under anderem Datenschutzrelevanten Daten von Kunden.

Wird nun ein solcher Root Server nicht professionell administriert kann schnell durch eine falsche konfiguration oder ein nicht gepatchte lücke ein Einbruch stattfinden und als Betreiber kann man hier durchaus zur Verantwortung gezogen werden.

Von daher, Root Server nur wenn man auch über das notwendige Know-How verfügt, ansonsten Managed Hosting!
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!Wong this Post!
Mit Zitat antworten
  #12 (permalink)  
Alt 04.01.2012, 21:34
Neuer Benutzer
 
Registriert seit: 29.12.2011
Beiträge: 10
Lächeln

Danke für den Hinweis aber ich habe es eben vor mir das alles anzueignen und wollte nur vorübergehend schon mal meinen Shop installieren um Testen zu können und da ich das nur Nebenher betreiben will und auch nicht all zu viel Geld dafür ausgeben will wollte ich keinen überteuerten Managed Server mieten den ich eh nicht ausnutze.

Zudem ich mich an folgende Anleitung gehalten habe und es darauf hin nicht funktioniert hat. Deshalb habe ich hier nachgefragt woran das liegen mag, soweit was ich bis jetzt gelesen habe leitet alles auf diese Seite gebracht hat:
PHP Encoder, protection, installer and performance tools from ionCube: Loader Installation

Ist das die Falsche Art und Weise es zu installieren?
Denn jeder sagt das es einfach ist zu installieren?

Welche php.ini muss ich eigentlich genau bearbeiten?
Die unter C:\Windows oder die beiden im Plesk Verzeichnis, das bekommt man auch nirgends gesagt? Oder muss man alle auf die gleiche Datei zugreifen etc. alles das wollte ich wissen und nicht das ich dafür nur zu unerfahren bin.

Wenn ich es nicht wäre würde ich ja auch nicht nachfragen, oder?

LG
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!Wong this Post!
Mit Zitat antworten
  #13 (permalink)  
Alt 04.01.2012, 22:00
Fry Fry ist offline
Erfahrener Benutzer
 
Registriert seit: 23.04.2006
Beiträge: 1.624
Standard

Zitat:
Zitat von green-life-computer Beitrag anzeigen
Ist das die falsche Art und Weise es zu installieren?
Ja, denn du hast einen Server!
Zitat:
Zitat von green-life-computer Beitrag anzeigen
Denn jeder sagt das es einfach ist zu installieren?
Die haben ja auch keinen Server, sondern Webspace
Zitat:
Zitat von green-life-computer Beitrag anzeigen
Welche php.ini muss ich eigentlich genau bearbeiten? Die unter C:\Windows oder die beiden im Plesk Verzeichnis, das bekommt man auch nirgends gesagt?
Die grundlegendn Basics muss ein verantwortungsbewusster Serveradmin von selbst wissen, die Antwort war aber schon zitiert:
Zitat:
Zitat von green-life-computer Beitrag anzeigen
zend_extension_ts="C:\Program Files\Parallels\Plesk\Additional\PleskPHP5\ext\ion cube_loader_win_5.2.dll"
;;; *UNRECOGNISED INI FILE at C:\Inetpub\vhosts\green-life-computer.de\httpdocs\ioncube\php.ini* ;;;
zend_extension=/Programme/Parallels/Plesk/Additional/PleskPHP5/ext/ioncube_loader_win_5.2.dll

Mehr gibt es nicht zu sagen, die Sachen sind einleuchtend wie eine 100Watt Glühbirne, ausser danach noch den Server/Apachen neu zu starten.
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!Wong this Post!
Mit Zitat antworten
  #14 (permalink)  
Alt 04.01.2012, 22:08
Neuer Benutzer
 
Registriert seit: 29.12.2011
Beiträge: 10
Standard

Hm naja danke, dann wird es wohl erstmal nichts mit meinem Shop,
aber eins versteh ich nicht, du meintest das das keine Anleitung ist um auf nem Server zu installieren, richtig?

Dann weis ich nicht wieso ganz unten in der Installationsanleitung folgendes steht:

Installation on a Windows Server

You need a Loader called
ioncube_loader_win_<php flavour>.dll

<php flavour> will be 4.1, 4.2 or 4.3 - i.e the first 2 digits of your PHP version.

Edit your php.ini file and add:
zend_extension_ts = "<drive>:\<path>\ioncube_loader_win_<php flavour>.dll"

where <drive> and <path> locate the Loader, and <php flavour> is whatever the correct value is for your system. If there are other zend_extension entries in the php.ini file place this new entry before the existing entries.

e.g.
zend_extension_ts = c:\WINNT\ioncube_loader_win_4.3.dll


Naja aber danke nochmal, wünsche noch einen schönen Abend erstmal.

LG
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!Wong this Post!
Mit Zitat antworten
  #15 (permalink)  
Alt 04.01.2012, 22:13
Fry Fry ist offline
Erfahrener Benutzer
 
Registriert seit: 23.04.2006
Beiträge: 1.624
Standard

Genau, das steht in der Anleitung von Ioncube, und dann arbeitest du weiter mit dem anlegen einer eigenen php.ini, und ab da fangen deine Fehler und Verständnisse grob gesagt an, du haust das eine immer mit dem anderen zusammen und durcheinander
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!Wong this Post!
Mit Zitat antworten
  #16 (permalink)  
Alt 04.01.2012, 22:22
Neuer Benutzer
 
Registriert seit: 29.12.2011
Beiträge: 10
Standard

Ich hab nichts mit einer eigenen php.ini gemacht sondern nur die bestehenden bearbeitet und ich habe seit Server installation drei php.ini Datein aufm Server.

Ich habe lediglich das gemach was da unten in der Installationsanleitung steht,
und in meiner info.php steht auch das ich schon die Version 4.x.x benutze. Welche genau weis ich jetzt nicht xP
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!Wong this Post!
Mit Zitat antworten
  #17 (permalink)  
Alt 05.01.2012, 12:06
Fry Fry ist offline
Erfahrener Benutzer
 
Registriert seit: 23.04.2006
Beiträge: 1.624
Standard

Und woher kommt die php.ini unter

C:\Inetpub\vhosts\green-life-computer.de\httpdocs\ioncube\php.ini

her? Von der Installation wie es für Webspace vorgegeben ist!

Wenn du Ioncube richtig eingebunden hättest dann wäre dieses Verzeichnis überhaupt nicht existent...

Ich gebs auf
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!Wong this Post!
Mit Zitat antworten
  #18 (permalink)  
Alt 05.01.2012, 14:42
Neuer Benutzer
 
Registriert seit: 29.12.2011
Beiträge: 10
Standard

Die habe ich nicht erstellt sondern nur eben dort zwischengespeichert so das im falle eines Fehlers das wieder zurückgeschoben werden kann.

Aber da du es ja aufgibst, danke ich dir nochmals.

Kompetente Forumhilfe, respekt. (nicht auf alle User bezogen)

Anstatt einfach mal zu erklären wie es angegangen werden muss, so das es dann funktioniert. Auch mal davon abgesehen das es viele User gibt die aus den gleichen Gründen sich einen Server mieten statt einen Webspace.
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!Wong this Post!
Mit Zitat antworten
  #19 (permalink)  
Alt 05.01.2012, 14:55
Fry Fry ist offline
Erfahrener Benutzer
 
Registriert seit: 23.04.2006
Beiträge: 1.624
Standard

Respekt vor so viel Beratungs- und Lernresistenz!

Ohne dass du die grundlegenden Basics beherrscht kann man dir nicht helfen, denn wenn doch dann willst du immer das Wasser und das Eis zusammen in den Ofen stellen und wunderst dich, warum danach beides weg ist

Am besten du setzt den Server nochmals neu auf (da ich nicht weiss wo schon überall herumgefuhrwerkt wurde), stopfst die Sicherheitslücken, die bei den Stratoimages standartmässig so gross wie Scheunentore sind, und dann installierst du Ioncube exact dort, wo Plesk ihn haben will, nirgends wo anders, und auch nirgends eine php.ini "zwischenlagern", sonst stehst du wieder dort wo du jetzt auch stehst.

Wie das genau geht, steht bis ins kleinste Detail hier in diesem Thread!
Digg this Post!Add Post to del.icio.usBookmark Post in TechnoratiFurl this Post!Wong this Post!
Mit Zitat antworten
Antwort

Lesezeichen

Stichworte
ioncube, probleme, update

Themen-Optionen
Ansicht

Forumregeln
Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.
Trackbacks are aus
Pingbacks are aus
Refbacks are aus


Ähnliche Themen
Thema Autor Forum Antworten Letzter Beitrag
Probleme mit Attribute Al-Capitano Fragen zur Software 12 13.09.2011 10:27
Probleme mit Installation Tim.L Installation und Konfiguration 2 24.05.2011 17:40
Probleme Actindo Shop connector nach update auf 4.0.13 steinbrock Fragen zur Software 4 03.03.2011 20:49
Probleme mit der Lieferzeit Anzeige dis-shop Admininterface 1 18.02.2010 12:27
probleme mit zahlungsweise seit update auf 4.0.12, die dritte... GoriBoy Fragen zur Software 1 09.09.2009 10:54


Alle Zeitangaben in WEZ +1. Es ist jetzt 05:42 Uhr.

Copyright © 2014 xt:Commerce GmbH / xt:Commerce International Ltd. - All Rights Reserved

xt:Commerce is a SafeCharge brand